****************************************************************************************
* This is the replication do file for:								   				   *
* Calvin, Bryan, Paul M. Collins, Jr., and Matthew Eshbaugh-Soha. 2011. "On the 	   *
* Relationship between Public Opinion and Decision Making in the U.S. Courts of 	   *
* Appeals." Political Research Quarterly 64(3): 736-748.							   *
****************************************************************************************

* Table 1 *

* OLS *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust

* Fixed Effects *
xtset circuit year
xtreg direction circuitid presideology cscongress SCmedian crimpercent lag1citnatweight lag1citweight, fe robust

* Endnote 5 *
* binannaul data *
* Note: you need to use the second dataset, labeled "biannualCOAdata.dta" *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust
xtset circuit biyear
xtreg direction circuitid presideology cscongress SCmedian crimpercent lag1citnatweight lag1citweight, fe robust

* Endnote 6 *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent lag1citnatweight , fe robust

* Endnote 7 *
regress noebdirection noebcrimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust
xtreg noebdirection circuitid presideology cscongress SCmedian noebcrimpercent lag1citnatweight lag1citweight, fe robust

* Endnote 9 *
regress direction crimpercent prescsmedjudge SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust
xtreg direction prescsmedjudge presideology  cscongress SCmedian crimpercent lag1citnatweight lag1citweight, fe robust

* Endnote 11 *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 mood lag1citweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent mood lag1citweight, fe robust

* Endnote 12 *
* Contemporaneous *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11  citnatweight citweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent  citnatweight citweight, fe robust

* Two year lag *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag2citnatweight lag2citweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent lag2citnatweight lag2citweight, fe robust

* Endnote 14 *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11  ewmlibcirweight ewmlibnatweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent ewmlibcirweight ewmlibnatweight , fe robust

* Endnote 19 *
* median member of house *
regress direction crimpercent circuitid SCmedian  house presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust
xtreg direction circuitid presideology house SCmedian crimpercent lag1citnatweight lag1citweight, fe robust

* median member of senate *
regress direction crimpercent circuitid SCmedian  senate presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust
xtreg direction circuitid presideology senate SCmedian crimpercent lag1citnatweight lag1citweight, fe robust


* Electronic Appendix Tables *

* Table 1 *
sum direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight if e(sample)

* Table 2 *
corr circuitid lag1citweight lag1citnatweight cscongress   presideology  SCmedian  crimpercent   if e(sample)

* Table 3 *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11  ewmlibcirweight ewmlibnatweight [pweight = weight], robust
xtset circuit year
xtreg direction circuitid presideology cscongress SCmedian crimpercent ewmlibcirweight ewmlibnatweight , fe robust

* Table 4 *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 mood lag1citweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent mood lag1citweight, fe robust

* Table 5 *
regress direction crimpercent prescsmedjudge SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust
xtreg direction prescsmedjudge presideology  cscongress SCmedian crimpercent lag1citnatweight lag1citweight, fe robust

* Table 6 *
regress direction crimpercent circuitid SCmedian  presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag1citnatweight lag1citweight [pweight = weight], robust
xtreg direction circuitid presideology SCmedian crimpercent lag1citnatweight lag1citweight, fe robust

* Table 7 *
regress direction cscongress crimpercent circuitid c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 [pweight = weight], robust
xtreg direction cscongress circuitid crimpercent , fe robust

* Table 8 *
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11  citnatweight citweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent  citnatweight citweight, fe robust

* Table 9 * 
regress direction crimpercent circuitid SCmedian  cscongress presideology  c0 c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 lag2citnatweight lag2citweight [pweight = weight], robust
xtreg direction circuitid presideology cscongress SCmedian crimpercent lag2citnatweight lag2citweight, fe robust









